<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>1. シミュレーションの目的 &mdash; 計算機実習 1.0 documentation</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="計算機実習 1.0 documentation" href="../index.html" />
    <link rel="up" title="計算機実習 問題6.1 周期倍化" href="6-1.html" />
    <link rel="next" title="2. 作成したプログラム" href="program.html" />
    <link rel="prev" title="計算機実習 問題6.1 周期倍化" href="6-1.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="program.html" title="2. 作成したプログラム"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="6-1.html" title="計算機実習 問題6.1 周期倍化"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li>
          <li><a href="6-1.html" accesskey="U">計算機実習 問題6.1 周期倍化</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="id1">
<h1>1. シミュレーションの目的<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h1>
<p>生物の個体数の時間発展は、その世代交代がある決まった季節に起こるなど、離散的であると見なせるため、これを記述するのには微分方程式よりもむしろ差分方程式の方が適している。世代(n+1)の個体数を世代nの個体数に関係づけ、その成長率が密度に依存しない一番簡単なモデルを考えると、世代nの個体数を <img class="math" src="../_images/math/7a81d0a5a589b3b8b130d567a6086258a1fc640f.png" alt="P_{n}"/> 、成長率を <img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/> (定数)として</p>
<div class="math">
<p><img src="../_images/math/0645285f5b823c41d5d80b1426e5061aeaec83e2.png" alt="P_{n+1}=\alpha P_{n}"/></p>
</div><p>と書ける。これは大変簡単ではあるが、 <img class="math" src="../_images/math/017d1f59a4acc87bf46534d7ae799aca4b536162.png" alt="\alpha &gt; 1"/> のときに個体数が等比級数的に無限に増加してしまうことと、現実には個体数はその環境に制限されていることとから、現象を的確に表したモデルとは言えない。そこで次に、成長率が個体数が増加するにつれて線形に減少する場合</p>
<div class="math">
<p><img src="../_images/math/6a6e3e07bf402382b9ab480ad49542daf8c3f3d5.png" alt="P_{n+1}=P_{n}(a-bP_{n})"/></p>
</div><p>を考える。このときこの式は <img class="math" src="../_images/math/7a81d0a5a589b3b8b130d567a6086258a1fc640f.png" alt="P_{n}"/> の2乗を含んでいるので、非線形の方程式となる。 <img class="math" src="../_images/math/eedf573ff615a63a366576b8484a4f6b3d10b62c.png" alt="P_{n}=(a/b)x_{n}"/> と置くことで個体数のスケールを変換し、</p>
<div class="math">
<p><img src="../_images/math/6d89be6878922f56a642ff57b58c23e10b195e90.png" alt="x_{n+1}=ax_{n}"/></p>
</div><p>として <img class="math" src="../_images/math/7a81d0a5a589b3b8b130d567a6086258a1fc640f.png" alt="P_{n}"/> を <img class="math" src="../_images/math/8f7af1c5494a324b7039d7045e71f65fecfdbc1b.png" alt="x_{n}"/> に置き換えると、いろいろなパラメータを定義している単位系も変換される。ここでパラメータ <img class="math" src="../_images/math/369c68efac17633541cadca5b903340be5982244.png" alt="r=a/4"/> を導入して、再び書き直すと</p>
<div class="math" id="equation-logistic">
<p><span class="eqno">(1)</span><img src="../_images/math/909a0c61a84f590cd02fd5e477caf20458e9009d.png" alt="x_{n+1}=f(x_{n})=4rx_{n}(1-x_{n})"/></p>
</div><p>となる。これは単一のパラメータ <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> のみでその動的な性質が決定されるという意味で望ましいモデルとなっている。ただし、 <img class="math" src="../_images/math/dd486f411e7888f9bcb207087faa8a209123784e.png" alt="x_{n} &gt; 1"/> のとき <img class="math" src="../_images/math/7840464ef9099bb36dba4aa48ec535661d9f4aa8.png" alt="x_{n+1}"/> は負になるので、このような非物理的性質が現れないように、xとrを区間 <img class="math" src="../_images/math/20db21111054d5495cf596098253925615965f6d.png" alt="0 \leq x \leq 1"/> 、 <img class="math" src="../_images/math/1514b188731add4c818574911aa456dcfb038e0e.png" alt="0 \leq r \leq 1"/> に制限することにする。</p>
<p>式(4)で定義される関数 <img class="math" src="../_images/math/0001d02b63ede2fe3219e05a7cd09c82ae6298b6.png" alt="f"/> は1次元の写像であり、この形はロジスティック写像として知られているものである。ロジスティック写像は、系の未来の状態が決定論的に与えられるという意味で、単純な力学系の例である。本シミュレーションでは式 <a href="#equation-logistic">(1)</a> の差分方程式を、世代ごとに計算を繰り返す方法で実際に求め、ロジスティック写像の動的な性質を調べることにする。</p>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="6-1.html"
                        title="previous chapter">計算機実習 問題6.1 周期倍化</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="program.html"
                        title="next chapter">2. 作成したプログラム</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/6-1_iterate_map/purpose.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="program.html" title="2. 作成したプログラム"
             >next</a> |</li>
        <li class="right" >
          <a href="6-1.html" title="計算機実習 問題6.1 周期倍化"
             >previous</a> |</li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li>
          <li><a href="6-1.html" >計算機実習 問題6.1 周期倍化</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>